.Dd July 22, 2019
.Dt CPC 1
.Os \" Current OS
.Sh NAME
.Nm cpc
.Nd Component Pascal Compiler
.Sh SYNOPSIS
.Nm
.Op Ar options
.Op Ar sourcefiles
.Sh DESCRIPTION
.Nm
compiles modules and produce code files and symbols.
.Pp
Its arguments are as follows:
.Bl -tag -width Ds
.It Fl legacy
Enable legacy mode, i.e. code files and symbol files are created in
BlackBox-like subsystems.
.It Fl outsym Ar dir
Specify output directory for symbol files or subsystems in legacy mode. Default
is current directory.
.It Fl outcode Ar dir
Specify output directory for code files or subsystems in legacy mode. Default
is current directory.
.It Fl symdir Ar dir
Add search path for symbol files. Current output directory always have highter
priority.
.It Fl legacysymdir Ar dir
Add search path for subsystems with symbol files. Current output directory
always have highter priority.
.It Fl includedir Ar dir
Specify directory with additional .h0 and .c0 files. Used by option -include0.
.It Fl [no-]allchecks
Switch on/off additional runtime range checks. This generates slightly larger
code files and increases the runtime. In most situations the difference is
small.
.It Fl [no-]srcpos
Switch on/off emitting the source code position. This generates slightly more
compact code files but removes the link to the terminated procedure's source
code position in the trap viewer.
.It Fl [no-]structref
Switch on/off emitting symbolic information for structured global variables.
.It Fl [no-]ref
Switch on/off emitting symbolic information for all global variables.
.It Fl [no-]obj
Switch on/off code file generation.
.It Fl [no-]assert
Switch on/off runtime checking of ASSERT statements. Use this option only for
very time critical code.
.It Fl [no-]checks
Switch on/off array index checks and pointer initialization. Use this option at
your own risk.
.It Fl [no-]hints
Switch on/off emitting of (COM related) warnings or hints even if there are no
errors.
.It Fl [no-]trap
Switch on/off trapping on first error. Useful for debugging compiler itself.
.It Fl [no-]oberon
Switch on/off syntax extensions for compatibility with Oberon.
.It Fl [no-]com-aware
Switch on/off Direct-To-COM compiler extesions.
.It Fl [no-]main
Switch on/off main program generation. Useful for CPfront backend.
.It Fl [no-]include0
Switch on/off including additional header to module. Useful for CPfront backend.
.It Fl [no-]long-calls
Switch on/off use calls from module Long, that emulate LONGINT.
.It Fl -[no-]use-time
Switch on/off writing compilation date to code file.
.It Fl v[erbose]
Print more information to stdout.
.It Fl version
Print compiler version
.El \" End Options List
.Sh EXIT STATUS
.Ex -std
.Sh SEE ALSO
.Xr cpl 1
.El
